import pandas as pd
from framework import component, autowired, get_config
from api import AssetRisk, Navs


@component
class CvarEwmaAssetRisk(AssetRisk):
    '''
    CVAR方式决定风控开始
    EWMA方式决定风控结束
    '''
    @autowired
    def __init__(self, navs: Navs = None):
        self._navs = navs
        self._config = get_config(__name__)

    def get_risk_pool(self, day):
        pass

    def is_risk(self, id, day) -> bool:
        rtn = self.get_income_return(id, day)
        print(rtn)

    def get_cvar_start_date(self):
        pass

    def get_ewma_start_date(self):
        pass

    def get_income_return(self, id, day):
        fund_navs = pd.DataFrame(self._navs.get_fund_navs(fund_ids=id, max_date=day))
        fund_navs['rtn'] = fund_navs['nav_cal'] / fund_navs['nav_cal'].shift(self._config['rtn_day']) - 1
        fund_navs.dropna(inplace=True)
        fund_navs.rename(columns={'nav_date': 'date'}, inplace=True)
        fund_navs = fund_navs[['date', 'rtn']]
        return fund_navs.to_dict('records')
