CREATE TABLE IF NOT EXISTS robo_optimize_pool
(
    rop_id          BIGINT UNSIGNED NOT NULL AUTO_INCREMENT,
    rop_date        DATETIME        NOT NULL COMMENT '数据日期',
    rop_type        TINYINT         NOT NULL COMMENT '资产池类别',
    rop_asset_ids   JSON                     DEFAULT NULL COMMENT '基金ID',
    rop_create_time DATETIME        NOT NULL DEFAULT CURRENT_TIMESTAMP,
    rop_update_time DATETIME                 DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
    PRIMARY KEY (rop_id),
    INDEX (rop_date),
    INDEX (rop_type)
) ENGINE = InnoDB
  AUTO_INCREMENT = 0
  DEFAULT CHARSET = utf8mb4 COMMENT '优选基金池';


CREATE TABLE IF NOT EXISTS asset_risk_dates
(
    ard_id          BIGINT UNSIGNED NOT NULL AUTO_INCREMENT,
    ard_date        DATETIME        NOT NULL COMMENT '风控日期',
    ard_type        TINYINT         NOT NULL COMMENT '日期类型',
    ard_asset_id    BIGINT UNSIGNED NOT NULL COMMENT '资产ID',
    ard_create_time DATETIME        NOT NULL DEFAULT CURRENT_TIMESTAMP,
    ard_update_time DATETIME                 DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
    PRIMARY KEY (ard_id),
    INDEX (ard_date),
    INDEX (ard_type),
    INDEX (ard_asset_id)
) ENGINE = InnoDB
  AUTO_INCREMENT = 0
  DEFAULT CHARSET = utf8mb4 COMMENT '资产风控日期表';